Skip to main content
POST
/
v2
/
stopSurvey
Stop a survey
curl --request POST \
  --url https://api.redem.io/v2/stopSurvey \
  --header 'Content-Type: application/json' \
  --header 'api-key: <api-key>' \
  --data '
{
  "surveyName": "Global Vacation Insights 2024"
}
'
import requests

url = "https://api.redem.io/v2/stopSurvey"

payload = { "surveyName": "Global Vacation Insights 2024" }
headers = {
"api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({surveyName: 'Global Vacation Insights 2024'})
};

fetch('https://api.redem.io/v2/stopSurvey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Survey successfully stopped",
  "results": {
    "surveyId": "68e4f174adc679a59fe16324",
    "surveyName": "Global Vacation Insights 2024",
    "status": "STOPPED"
  }
}
A stopped survey no longer accepts new respondents, preventing any further additions.

Authorizations

api-key
string
header
required

Body

application/json

Request body for stopping a survey

🔒 Authentication: This endpoint is only accessible via a PRIVATE API key type

surveyName
string
required

The name of the survey.

Response

Upon successful processing, the API returns a 200 OK status code along with the expected data.

success
enum<boolean>

A variable indicating whether the operation was successful.

Available options:
true,
false
message
string

A variable that human-readable message providing additional context or confirmation of the requested action.

results
object

This object serves as a container to hold the results for the requested data, encapsulating all relevant information and outputs in a structured format.